﻿<UserControl x:Class="VECTO3GUI.Views.SettingsView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:impl="clr-namespace:VECTO3GUI.ViewModel.Impl"
             mc:Ignorable="d" 
             d:DesignHeight="200" d:DesignWidth="440"
             d:DataContext="{d:DesignInstance Type=impl:SettingsViewModel, IsDesignTimeCreatable=False}">
    <Grid>

        <Grid.RowDefinitions>
            <RowDefinition/>
            <RowDefinition Height="40"/>
        </Grid.RowDefinitions>

        <Grid Grid.Row="0" >
            <StackPanel Orientation="Vertical" HorizontalAlignment="Center" VerticalAlignment="Center">

                <StackPanel Orientation="Horizontal" HorizontalAlignment="Left">
                    <TextBlock Text="Default Save Path Location: " Margin="5,0,0,0"/>
                    <TextBox Width="200" Margin="0,0,5,0" IsReadOnly="True" IsReadOnlyCaretVisible="True" 
                             Text="{Binding SavePathFolder}"/>
                    <Button Content="..." Width="30"
                            Command="{Binding OpenSaveFolderCommand}"
                            CommandParameter="{Binding SavePathFolder}"/>
                </StackPanel>

                <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                    <TextBlock Text="Default XML-Files Location: " Margin="5,0,0,0"/>
                    <TextBox Width="200" Margin="0,0,5,0" IsReadOnly="True" IsReadOnlyCaretVisible="True"
                        Text="{Binding XMLFilePath}"/>
                    <Button Content="..." Width="30"
                            Command="{Binding OpenXMLFolderCommand}"
                            CommandParameter="{Binding XMLFilePath}"/>
                </StackPanel>
            </StackPanel>
        </Grid>

        <Grid Grid.Row="1">
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>

            <Button Content="Reset" HorizontalAlignment="Left" Width="80" Margin="10,0,0,0" 
                    Command="{Binding ResetCommand}"/>

            <StackPanel Orientation="Horizontal" Grid.Column="1" HorizontalAlignment="Right">
                <Button Content="Save" HorizontalAlignment="Right"  Margin="5,0,0,0" VerticalAlignment="Center" Width="70"
                        Command="{Binding SaveCommand}"/>
                <Button Content="Cancel" HorizontalAlignment="Right" Margin="5,0,10,0" Width="70"
                        Command="{Binding CancelCommand}"
                        CommandParameter="{Binding RelativeSource={RelativeSource FindAncestor, AncestorType={x:Type Window}}}"/>
            </StackPanel>
        </Grid>

    </Grid>
</UserControl>
